## multimon-ng 1.1.6+dfsg

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8.8 )

# The "MSVC" flag isn't set until the "project" command
# is called.  Let's just check the operating system.
if( NOT WIN32 )
	project( multimon-ng C )
else( NOT WIN32 )
	# Visual Studio C compiler doesn't support C99 (i.e. stdbool.h);
	# so use the Visual Studio C++ compiler instead
	project( multimon-ng CXX )
endif( NOT WIN32 )

set( TARGET "${PROJECT_NAME}" )
set( VERSION "1.1.6" )
set( MAJOR "1" )
set( MINOR "1" )
set( PATCH "6" )
set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra" )

if( WIN32 )
	add_definitions( "-DWIN32_AUDIO" "-DONLY_RAW" "-DWINDOWS" )
	link_libraries( ${TARGET} "-lwinmm" )
	set( SOURCES ${SOURCES}
		"win32_soundin.c"
		)
elseif( UNIX )
	find_package( X11 )
	if ( X11_FOUND )
		option( X11_SUPPORT "Enable X11 display support" ${X11_FOUND} )
		mark_as_advanced( X11_SUPPORT )
	endif( X11_FOUND )
	find_package( PulseAudio )
	if ( PULSEAUDIO_FOUND )
		option( PULSE_AUDIO_SUPPORT "Enable pulse audio support" ${PULSEAUDIO_FOUND} )
		mark_as_advanced( PULSE_AUDIO_SUPPORT )
	endif( PULSEAUDIO_FOUND )

	# Check if we can use the GCC/llvm __builtin_popcount
	include( CheckCSourceCompiles )
	check_c_source_compiles(
		"int main() { __builtin_popcount(42); return 0; }" USE_BUILTIN_POPCOUNT )

endif( WIN32 )

if( X11_SUPPORT )
	include_directories( ${X11_INCLUDE_DIR} )
	link_libraries( ${X11_LIBRARIES} )
	set( SOURCES ${SOURCES}
		xdisplay.c
		demod_display.c
	)
else( X11_SUPPORT )
	add_definitions( "-DNO_X11" )
endif( X11_SUPPORT ) 

if( PULSE_AUDIO_SUPPORT )
	include_directories( ${PULSEAUDIO_INCLUDE_DIR} )
	find_library( PULSE_SIMPLE NAMES pulse-simple REQUIRED )
	link_libraries( ${PULSEAUDIO_LIBRARY} ${PULSE_SIMPLE} )
	add_definitions( "-DPULSE_AUDIO" )
else( PULSE_AUDIO_SUPPORT )
	add_definitions( "-DDUMMY_AUDIO" )
endif( PULSE_AUDIO_SUPPORT )

if( NOT MSVC )
	add_definitions( "-std=gnu99" )
endif( NOT MSVC )
add_definitions( "-DMAX_VERBOSE_LEVEL=3" "-DCHARSET_UTF8" )

if ( EXISTS "${multimon-ng_SOURCE_DIR}/BCHCode.c" )
	set( SOURCES ${SOURCES}
		BCHCode.c )
else()
	message(STATUS "Using the BCH decoder stub")
	set( SOURCES ${SOURCES}
		BCHCode_stub.c )
endif()

set( HEADERS ${HEADERS}
    	multimon.h
    	gen.h
    	filter.h
    	filter-i386.h
	)

set( SOURCES ${SOURCES}
	unixinput.c
	uart.c
	pocsag.c
	selcall.c
	hdlc.c
	demod_zvei1.c
	demod_zvei2.c
	demod_zvei3.c
	demod_pzvei.c
	demod_dzvei.c
	demod_ccir.c
	demod_eia.c
	demod_eea.c
	demod_ufsk12.c
	demod_poc24.c
	demod_poc12.c
	demod_poc5.c
	demod_hapn48.c
	demod_fsk96.c
	demod_dtmf.c
	demod_clipfsk.c
	demod_fmsfsk.c
	demod_afsk24.c
	demod_afsk24_3.c
	demod_afsk24_2.c
	demod_afsk12.c
	demod_flex.c
	costabi.c
	costabf.c
	clip.c
	fms.c
	demod_eas.c
	demod_morse.c
	demod_dumpcsv.c
	demod_x10.c
	)


add_executable( "${TARGET}" ${SOURCES} ${HEADERS} )
set_property(TARGET "${TARGET}" PROPERTY LINKER_LANGUAGE C)
target_link_libraries( "${TARGET}" m )
install(TARGETS multimon-ng DESTINATION bin)

## multimon-ng 0.0.1%2bgit20140331-611970773f-1maemo1

=== debian/changelog ===
multimon-ng (0.0.1+git20140331-611970773f-1maemo1) unstable; urgency=low

  * Initial maemo build
  * Fixed multimon-ng.pro to include maemo platform

 -- Xes <xes.maemo@gmail.com>  Wed, 18 Jun 2014 06:53:11 +0200

=== debian/control ===
Source: multimon-ng
Section: comm
Priority: optional
Maintainer: Xes <xes.maemo@gmail.com>
Build-Depends: debhelper, libqt4-dev, pkg-config, libx11-dev, libpulse-dev
Standards-Version: 3.9.3
Vcs-Git: https://github.com/EliasOenal/multimon-ng.git
Vcs-Browser: https://github.com/EliasOenal/multimon-ng

Package: multimon-ng
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A fork of multimon
 MultimonNG a fork of multimon. It decodes the following digital
 transmission modes:
    POCSAG512 POCSAG1200 POCSAG2400
    EAS
    UFSK1200 CLIPFSK AFSK1200 AFSK2400 AFSK2400_2 AFSK2400_3
    HAPN4800
    FSK9600
    DTMF
    ZVEI1 ZVEI2 ZVEI3 DZVEI PZVEI
    EEA EIA CCIR
    MORSE CW

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.

export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake multimon-ng.pro PREFIX=/usr
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f Release/*

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/multimon-ng
	$(MAKE) install INSTALL_ROOT=$(shell pwd)/debian/multimon-ng

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_desktop

#	dh_installmenu
#	dh_installdebconf
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## multimon-ng 1.1.6+dfsg

=== debian/changelog ===
multimon-ng (1.1.6+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #894814)

 -- Göran Weinholt <weinholt@debian.org>  Wed, 17 Oct 2018 21:52:48 +0200

## multimon-ng 1.1.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 endif( NOT WIN32 )
 
 set( TARGET "${PROJECT_NAME}" )
-set( VERSION "1.1.6" )
+set( VERSION "1.1.7" )
 set( MAJOR "1" )
 set( MINOR "1" )
-set( PATCH "6" )
+set( PATCH "7" )
 set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra" )
 
 if( WIN32 )

=== debian/changelog ===
multimon-ng (1.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/multimon-ng.1: Add the new -C option

 -- Göran Weinholt <weinholt@debian.org>  Tue, 22 Jan 2019 18:51:09 +0100

## multimon-ng 1.1.8+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 endif( NOT WIN32 )
 
 set( TARGET "${PROJECT_NAME}" )
-set( VERSION "1.1.7" )
+set( VERSION "1.1.8" )
 set( MAJOR "1" )
 set( MINOR "1" )
-set( PATCH "7" )
+set( PATCH "8" )
 set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra" )
 
 if( WIN32 )

=== debian/changelog ===
multimon-ng (1.1.8+dfsg-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:03:01 +0000

multimon-ng (1.1.8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/multimon-ng.1: Add Swedish language and POCSAG auto mode

 -- Göran Weinholt <weinholt@debian.org>  Sun, 07 Jul 2019 09:28:56 +0200

=== debian/control ===
Source: multimon-ng
Section: hamradio
Priority: optional
Maintainer: Göran Weinholt <weinholt@debian.org>
Build-Depends: cmake, debhelper (>= 11),
  libx11-dev,
  libpulse-dev
Standards-Version: 4.2.1
Homepage: https://github.com/EliasOenal/multimon-ng/

Package: multimon-ng
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: digital radio transmission decoder
 The successor to multimon, with support for more modes and improved
 compatibility with moderns systems. It decodes the following digital
 transmission modes commonly found on VHF/UHF bands:
 .
   POCSAG512 POCSAG1200 POCSAG2400
   FLEX
   EAS
   UFSK1200 CLIPFSK AFSK1200 AFSK2400 AFSK2400_2 AFSK2400_3
   HAPN4800
   FSK9600
   DTMF
   ZVEI1 ZVEI2 ZVEI3 DZVEI PZVEI
   EEA EIA CCIR
   MORSE CW
   X10
 .
 Multiple decoders can run concurrently on the same signal, which is
 provided via a file or a pipe. Common setups are: a radio connected
 via a sound card (may require modifications to the radio); samples
 provided via a GNU Radio sink or the UDP audio stream in gqrx (via
 netcat and sox).

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

=== debian/watch ===
version=3
opts="mode=git" https://github.com/EliasOenal/multimon-ng.git \
  refs/tags/([\d\.]+) dversionmangle=s/\+dfsg\d*$// debian uupdate

## multimon-ng 1.1.9+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 endif( NOT WIN32 )
 
 set( TARGET "${PROJECT_NAME}" )
-set( VERSION "1.1.8" )
+set( VERSION "1.1.9" )
 set( MAJOR "1" )
 set( MINOR "1" )
-set( PATCH "8" )
+set( PATCH "9" )
 set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra" )
 
 if( WIN32 )
@@ -40,6 +40,8 @@
 	check_c_source_compiles(
 		"int main() { __builtin_popcount(42); return 0; }" USE_BUILTIN_POPCOUNT )
 
+	set( INSTALL_MAN_DIR "${CMAKE_INSTALL_PREFIX}/share/man" )
+	install( FILES multimon-ng.1 DESTINATION "${INSTALL_MAN_DIR}/man1" )
 endif( WIN32 )
 
 if( X11_SUPPORT )

=== debian/changelog ===
multimon-ng (1.1.9+dfsg-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Oct 2020 10:54:21 -0400

multimon-ng (1.1.9+dfsg-1) unstable; urgency=medium

  * debian/control: Move myself to Uploaders and set debian-hams
    as Maintainer
  * debian/control: Add Vcs-Browser and Vcs-Git pointing to salsa
  * debian/copyright: Note BCHCode.c in Files-Excluded
  * debian/control: Set Standards-Version: 4.5.0 (no changes)
  * debian/multimon-ng.1: Removed; manpage is included upstream

 -- Göran Weinholt <weinholt@debian.org>  Tue, 22 Sep 2020 19:30:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: multimon-ng
 Section: hamradio
 Priority: optional
-Maintainer: Göran Weinholt <weinholt@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Göran Weinholt <weinholt@debian.org>
 Build-Depends: cmake, debhelper (>= 11),
   libx11-dev,
   libpulse-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/EliasOenal/multimon-ng/
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/multimon-ng
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/multimon-ng.git
 
 Package: multimon-ng
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## multimon-ng 1.2.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 endif( NOT WIN32 )
 
 set( TARGET "${PROJECT_NAME}" )
-set( VERSION "1.1.9" )
+set( VERSION "1.2.0" )
 set( MAJOR "1" )
-set( MINOR "1" )
-set( PATCH "9" )
+set( MINOR "2" )
+set( PATCH "0" )
 set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra" )
 
 if( WIN32 )
@@ -113,6 +113,7 @@
 	demod_afsk24_2.c
 	demod_afsk12.c
 	demod_flex.c
+	demod_flex_next.c
 	costabi.c
 	costabf.c
 	clip.c

=== debian/changelog ===
multimon-ng (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Standards-Version 4.6.1 (no changes)

 -- Göran Weinholt <weinholt@debian.org>  Sat, 22 Oct 2022 14:13:57 +0200

multimon-ng (1.1.9+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Christoph Berg ]
  * Fix version mangling in watch file.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 11:27:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: multimon-ng
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Göran Weinholt <weinholt@debian.org>
-Build-Depends: cmake, debhelper (>= 11),
+Build-Depends: cmake,
+  debhelper-compat (= 13),
   libx11-dev,
   libpulse-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/EliasOenal/multimon-ng/
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/multimon-ng
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/multimon-ng.git

=== debian/watch ===
version=3
opts="mode=git, dversionmangle=s/\+dfsg\d*$//" \
https://github.com/EliasOenal/multimon-ng.git \
  refs/tags/([\d\.]+) debian uupdate

## multimon-ng 1.3.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,9 @@
 endif( NOT WIN32 )
 
 set( TARGET "${PROJECT_NAME}" )
-set( VERSION "1.2.0" )
+set( VERSION "1.3.0" )
 set( MAJOR "1" )
-set( MINOR "2" )
+set( MINOR "3" )
 set( PATCH "0" )
 set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra" )

=== debian/changelog ===
multimon-ng (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- G. Weinholt <weinholt@debian.org>  Sun, 22 Oct 2023 14:13:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Göran Weinholt <weinholt@debian.org>
+Uploaders: G. Weinholt <weinholt@debian.org>
 Build-Depends: cmake,
   debhelper-compat (= 13),
   libx11-dev,

## multimon-ng 1.3.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 endif( NOT WIN32 )
 
 set( TARGET "${PROJECT_NAME}" )
-set( VERSION "1.3.0" )
+set( VERSION "1.3.1" )
 set( MAJOR "1" )
 set( MINOR "3" )
-set( PATCH "0" )
+set( PATCH "1" )
 set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra" )
 
 if( WIN32 )

=== debian/changelog ===
multimon-ng (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/{control,copyright}: Fix my name
  * debian/copyright: Update for new release

 -- Gwen Weinholt <weinholt@debian.org>  Sun, 30 Jun 2024 17:10:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: G. Weinholt <weinholt@debian.org>
+Uploaders: Gwen Weinholt <weinholt@debian.org>
 Build-Depends: cmake,
   debhelper-compat (= 13),
   libx11-dev,
